#include "stdafx.h"
#include "ADIS/ADIS16365.h"

ADIS16365	*pAdis16365;

void InitDevice()
{
	pAdis16365 = new ADIS16365();
}

void DeinitDevice()
{
	delete pAdis16365;
}

void ConnectDevice()
{
}

void ReadDevice(double gyro[3], double accl[3], double magn[3], double temp[3])
{
	double data[ADIS16365_DATA_NUM] = {0., };
	pAdis16365->GetMeasure(data);

	gyro[0] = data[1];
	gyro[1] = data[2];
	gyro[2] = data[3];
	
	accl[0] = data[4];
	accl[1] = data[5];
	accl[2] = data[6];
	
	magn[0] = 0.;
	magn[1] = 0.;
	magn[2] = 0.;
	
	temp[0] = data[7];
	temp[1] = data[8];
	temp[2] = data[9];
}